Get countries
curl --request GET \
--url https://staging.api.payluk.ng/v1/countries \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.payluk.ng/v1/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.payluk.ng/v1/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Countries fetched successfully",
"data": [
{
"id": "665f1b2c9a1e4d0012ab3c40",
"name": "Nigeria",
"code": "NG"
}
]
}{
"status": 429,
"message": "Too many request"
}Other: Misc
Get countries
GET
/
v1
/
countries
Get countries
Authorizations
Your secret key as a Bearer token. The key prefix selects the environment: sk_test_... (staging) or sk_live_... (production); a key on the wrong host is refused with 403 Unauthorized Access. Each key is limited to 10 requests per minute (429 beyond that) and, on production, to the IP addresses on your dashboard allowlist when one is configured.
Response
Countries fetched.